Bug 128680 - RHN Needs User Hierarchy
Summary: RHN Needs User Hierarchy
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
(Show other bugs)
Version: 0.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: space02
TreeView+ depends on / blocked
 
Reported: 2004-07-27 21:36 UTC by Jack Neely
Modified: 2012-03-06 08:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 17:20:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Neely 2004-07-27 21:36:38 UTC
Description of problem:
To make RHN scale better it needs to have the ability to create a
complex user hierarchy.  Each user account should have the option of
being above certain other accounts so that the higher person can see
and manage the lower person(s) groups/clients.

This can be emulated currently by always manually updating the
premissions on accounts that should be higher on the hierarchy than
others.  With university usage this is not feasible as there are too
many colleges/departments/research groups etc for someone to keep up
with by hand.

Example:  A College level sysadmin hands out accounts to departmental
sysadmins, who intern can authorize certain research groups to have
their own account and groups.  Both the College level sysadmin and the
departmental sysadmin should still have access to the clients in the
research group group(s) no matter how often they are modified.

Comment 1 Brandon Perkins 2007-03-12 16:51:42 UTC
Move to Bugzilla Bug 218517: RHN 510 Hosted Triage Tracker.

Comment 2 Amy Owens 2008-01-29 14:26:26 UTC
putting in RFE queue

Comment 3 Amy Owens 2008-10-16 18:40:24 UTC
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Comment 4 Jack Neely 2008-10-23 18:40:55 UTC
Re-opening bug and moving to Spacewalk.

Comment 5 Jesus M. Rodriguez 2009-01-17 02:40:25 UTC
Does the multi-org and satellite admin features help with your RFE?

Comment 6 Clifford Perry 2009-06-23 17:20:02 UTC
Been waiting 5 months. Closing out due to lack of info.


Note You need to log in before you can comment on or make changes to this bug.